function company() {
	var memberId=localStorage.getItem("memberId");
	document.getElementById("members").addEventListener('tap', function() {
		mui.openWindow({
			url: 'my/newMembers.html',
			id: 'newMembers',
			extras: {
				title:"所有会员"
			},
			show: {
				autoShow: false //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: false //自动显示等待框，默认为true
			}
		})
	});
	document.getElementById("orderComAll").addEventListener("tap", function() {
		localStorage.removeItem("orderState"); //0商品 1店铺
		mui.openWindow({
			url: 'allorder.html',
			id: 'allorder',
			extras: {
				buyerId: memberId
			},
			show: {
				autoShow: false //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: false //自动显示等待框，默认为true
			}
		})
	});
	jQuery(".order_Com").each(function(){
		this.addEventListener("tap", function() {
			localStorage.setItem("orderState", $(this).attr("data-state")); //0商品 1店铺
			mui.openWindow({
				url: 'allorder.html',
				id: 'allorder',
				extras: {
					buyerId: memberId
				},
				show: {
					autoShow: false //页面loaded事件发生后自动显示，默认为true
				},
				waiting: {
					autoShow: false //自动显示等待框，默认为true
				}
			})
		});
	});
	document.getElementById("newMembers").addEventListener("tap", function() {
		mui.openWindow({
			url: 'my/newMembers.html',
			id: 'newMembers',
			extras: {
				newMemberNum:$("#newMemberNum").html().replace("+","")
			},
			show: {
				autoShow: false //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: false //自动显示等待框，默认为true
			}
		})
	});
	loaddingCom(null);
}

function loaddingCom(self){
	var memberId = localStorage.getItem("memberId");
	countByCompany(memberId, 10);
	countByCompany(memberId, 20);
	countByCompany(memberId, 30);
	newMember(memberId);
	countCompany(memberId,self);
}
function countByCompany(memberId, orderState) { //待收货  待发货 代付款
	mui.ajax(Website + '/app/orders/countByCom.do', {
		data: {
			memberId: memberId,
			orderState: orderState
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			var count = jsonobj.count;
			if(count != 0) {
				$(".jiaobiao_com" + orderState).html(count);
				$(".jiaobiao_com" + orderState).show();
			}else{
				$(".jiaobiao_com" + orderState).hide();
			}
		},
		error: function(xhr, type, errorThrown) {
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("请求异常！");
			}
		}
	});
}
function countCompany(memberId,self) {//待评价
	mui.ajax(Website + '/app/orders/countByCom.do', {
		data: {
			memberId: memberId,
			orderState: 40,
			evaluationStatus:0
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			var count = jsonobj.count;
			if(count != 0) {
				$(".jiaobiao_com40").html(count);
				$(".jiaobiao_com40").show();
			}else{
				$(".jiaobiao_com40").hide();
			}
			if(self!=null){
				self.endPullDownToRefresh();
			}
		},
		error: function(xhr, type, errorThrown) {
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("请求异常！");
			}
			if(self!=null){
				self.endPullDownToRefresh();
			}
		}
	});
}
function newMember(memberId){//新增会员
	var newmemberLastclickedTime=localStorage.getItem("newmemberLastclickedTime");
	if(newmemberLastclickedTime==null){
		newmemberLastclickedTime=0;
	}
	mui.ajax(Website + '/app/user/countByCompanyIdAndLCT.do', {
		data: {
			memberId: memberId,
			newmemberLastclickedTime:newmemberLastclickedTime
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			var num = jsonobj.num;
			$("#newMemberNum").html("+"+num);
			if(num!=0){
				$("#newMemberNum").show();
			}else{
				$("#newMemberNum").hide();
			}
		},
		error: function(xhr, type, errorThrown) {
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("请求异常！");
			}
		}
	});
}
