
function comment_s(c){
	var str='';
	str+='<li class="mui-table-view-cell">'+
			'<div class="mui-table">'+
				'<div class="mui-table-cell mui-col-xs-10">'+
					'<h5 class="mui-ellipsis">'+c.c_userName+'</h5>'+
					'<h5>'+c.c_content+'</h5>'+
					'<p class="mui-h6 mui-ellipsis">'+format_date(c.c_time)+'</p>'+
				'</div>'+
			'</div>'+
		'</li>';
		return str;
}


//发布评论
function sendComment(c_goodsId,c_loginId,c_userType,c_userName,c_content){
	var s_time=getDateDiff(format(new Date(), 'yyyy-MM-dd HH:mm:ss'));
	mui.ajax(Website + '/comment/insert.do', {
		dataType: 'jsonp', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		data: {
			c_goodsId: c_goodsId,
			c_loginId: c_loginId,
			c_userType:c_userType,
			c_userName:c_userName,
			c_content:c_content
		},
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			if(jsonobj.status==1){
				var str='';
				str+='<li class="mui-table-view-cell">'+
						'<div class="mui-table">'+
							'<div class="mui-table-cell mui-col-xs-10">'+
								'<h5 class="mui-ellipsis">'+c_userName+'</h5>'+
								'<h5>'+c_content+'</h5>'+
								'<p class="mui-h6 mui-ellipsis">'+s_time+'</p>'+
							'</div>'+
						'</div>'+
					'</li>';
			jQuery("#comment_s").prepend(str);
			}else{
				mui.toast("评论失败");
			}
			

		},
		error: function(xhr, type, errorThrown) {
			mui.toast("评论失败");
			//异常处理；
			//console.log("-----加载帖子详情失败----");
		}

	});
}


function add_date(m){
	return m<10?'0'+m:m }
function format_date(shijianchuo)
	{
	//shijianchuo是整数，否则要parseInt转换
	var time = new Date(shijianchuo);
	var y = time.getFullYear();
	var m = time.getMonth()+1;
	var d = time.getDate();
	var h = time.getHours();
	var mm = time.getMinutes();
	var s = time.getSeconds();
	return add_date(y)+'-'+add_date(m)+'-'+add_date(d)+' '+add_date(h)+':'+add_date(mm);
	}
	
//时间格式转换
var format = function format(time, format) {
	var t = new Date(time);
	var tf = function(i) {
		return (i < 10 ? '0' : '') + i
	};
	return format.replace(/yyyy|MM|dd|HH|mm|ss/g, function(a) {
		switch (a) {
			case 'yyyy':
				return tf(t.getFullYear());
				break;
			case 'MM':
				return tf(t.getMonth() + 1);
				break;
			case 'mm':
				return tf(t.getMinutes());
				break;
			case 'dd':
				return tf(t.getDate());
				break;
			case 'HH':
				return tf(t.getHours());
				break;
			case 'ss':
				return tf(t.getSeconds());
				break;
		};
	});
};

//字符串转换为时间戳
function getDateTimeStamp(dateStr) {
	return Date.parse(dateStr.replace(/-/gi, "/"));
}

//将返回的时间戳与当前时间戳进行比较，转换成几秒前、几分钟前、几小时前、几天前的形式
function getDateDiff(dateStr) {
	var publishTime = getDateTimeStamp(dateStr) / 1000,
		d_seconds,
		d_minutes,
		d_hours,
		d_days,
		timeNow = parseInt(new Date().getTime() / 1000),
		d,

		date = new Date(publishTime * 1000),
		Y = date.getFullYear(),
		M = date.getMonth() + 1,
		D = date.getDate(),
		H = date.getHours(),
		m = date.getMinutes(),
		s = date.getSeconds();
	//小于10的在前面补0
	if (M < 10) {
		M = '0' + M;
	}
	if (D < 10) {
		D = '0' + D;
	}
	if (H < 10) {
		H = '0' + H;
	}
	if (m < 10) {
		m = '0' + m;
	}
	if (s < 10) {
		s = '0' + s;
	}

	d = timeNow - publishTime;
	d_days = parseInt(d / 86400);
	d_hours = parseInt(d / 3600);
	d_minutes = parseInt(d / 60);
	d_seconds = parseInt(d);

	if (d_days > 0 && d_days < 3) {
		return d_days + '天前';
	} else if (d_days <= 0 && d_hours > 0) {
		return d_hours + '小时前';
	} else if (d_hours <= 0 && d_minutes > 0) {
		return d_minutes + '分钟前';
	} else if (d_seconds < 60) {
		if (d_seconds <= 0) {
			return '刚刚发表';
		} else {
			return d_seconds + '秒前';
		}
	} else if (d_days >= 3 && d_days < 30) {
		return M + '-' + D + '&nbsp;' + H + ':' + m;
	} else if (d_days >= 30) {
		return Y + '-' + M + '-' + D + '&nbsp;' + H + ':' + m;
	}
}
