function loadingMember(self) {
	var memberId = localStorage.getItem("memberId");
	var myPoints = localStorage.getItem("memberConsumePoints");
	jQuery("#myPoints").html(myPoints);
	var gradeName = localStorage.getItem("gradeName") == null ? "0" : localStorage.getItem("gradeName");
	jQuery("#gradeName").html(gradeName);
	/**
	 * 余额
	 */
	var availablePredeposit = localStorage.getItem("availablePredeposit");
	if(availablePredeposit != null && availablePredeposit != '') {
		jQuery("#availablePredeposit").html(parseFloat(availablePredeposit).toFixed(2));
	}
	count("goods", memberId);
	count("store", memberId);
	past(memberId);
	countOrder(memberId, 10);
	countOrder(memberId, 20);
	countOrder(memberId, 30);
	countOrderEvalse(memberId, 40, self);
}

function member() {
	loadingMember(null);
	var memberId = localStorage.getItem("memberId");
	order(memberId);
	document.getElementById("money").addEventListener('tap', function() {
		if(jQuery("#balance").html() == 0 || jQuery("#balance").html() == "0") {
			mui.toast("您还未收藏任何商家！");
			return;
		}
		localStorage.setItem("favoriteType", 1);
		mui.openWindow({
			url: 'my/favorite.html',
			id: 'favorite',
			styles: {
				top: "0px", //新页面顶部位置
				bottom: "0px", //新页面底部位置
			},
			show: {
				autoShow: false //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: false //自动显示等待框，默认为true
			}
		});
	});
	document.getElementById("order").addEventListener('tap', function() {
		if(jQuery("#orderCount").html() == 0 || jQuery("#orderCount").html() == "0") {
			mui.toast("您还未收藏任何商品！");
			return;
		}
		localStorage.setItem("favoriteType", 0);
		mui.openWindow({
			url: 'my/favorite.html',
			id: 'favorite',
			styles: {
				top: "0px", //新页面顶部位置
				bottom: "0px", //新页面底部位置
			},
			show: {
				autoShow: false //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: false //自动显示等待框，默认为true
			}

		});
	});
	document.getElementById("myfav_li").addEventListener('tap', function() {
		localStorage.setItem("favoriteType", 0);
		mui.openWindow({
			url: 'my/favorite.html',
			id: 'favorite',
			styles: {
				top: "0px", //新页面顶部位置
				bottom: "0px", //新页面底部位置
			},
			show: {
				autoShow: false //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: false //自动显示等待框，默认为true
			}
		});
	});
	document.getElementById("pastButton").addEventListener('tap', function() {
		var count = parseInt(jQuery("#pastNum").html());
		var point =parseInt(jQuery("#pointNum").html());
		jQuery("#pastNum").html(count + 1);
		jQuery("#pointNum").html(point + 1);
		jQuery("#pastButton").html("已签到");
		jQuery("#pastButton").css({"color":"red","border-color":"red"});
		jQuery("#pastButton").attr("disabled", "disabled");
		jQuery("#dateStr").html("明");
		mui.ajax(Website + '/app/past/insert.do', {
			data: {
				memberId: memberId,
				integral: count,
				irType: 1
			},
			dataType: 'jsonp',
			type: 'post',
			success: function(data) {
				var jsonobj = eval('(' + data + ')');
				if(jsonobj.succ == true) {
					var oldPoint = parseInt(jQuery("#myPoints").html());
					jQuery("#myPoints").html(jsonobj.consPoint);
					localStorage.setItem("memberConsumePoints", jsonobj.consPoint);
					var oldRankPoint = localStorage.getItem("memberRankPoints") == null ? 0 : parseInt(localStorage.getItem("memberRankPoints"));
					localStorage.setItem("memberRankPoints", jsonobj.rankPoint);
					var myPoints = localStorage.getItem("memberConsumePoints");
					jQuery("#myPoints").html(myPoints);
				} else {
					jQuery("#pastNum").html(count);
					jQuery("#pointNum").html(point);
					jQuery("#pastButton").html("未签到");
					jQuery("#pastButton").removeAttr("disabled");
					jQuery("#dateStr").html("今");
				}
			},
			error: function(xhr, type, errorThrown) {
				jQuery("#pastNum").html(count);
				jQuery("#pointNum").html(point);
				jQuery("#pastButton").html("未签到");
				jQuery("#pastButton").removeAttr("disabled");
				jQuery("#dateStr").html("今");
				if("timeout" == type) {
					plus.ui.toast("请求超时！");
				} else {
					plus.ui.toast("请求异常！");
				}
			}
		});
	});
}

function countOrder(memberId, orderState) { //待收货  待发货 代付款
	mui.ajax(Website + '/app/orders/count.do', {
		data: {
			buyerId: memberId,
			orderState: orderState
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			var count = jsonobj.count;
			if(count != 0) {
				$(".jiaobiao" + orderState).html(count);
				$(".jiaobiao" + orderState).show();
			} else {
				$(".jiaobiao" + orderState).hide();
			}
		},
		error: function(xhr, type, errorThrown) {
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("请求异常！");
			}
		}
	});
}

function countOrderEvalse(memberId, orderState, self) {
	mui.ajax(Website + '/app/orders/count.do', {
		data: {
			buyerId: memberId,
			orderState: orderState,
			evaluationStatus: 0
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			var count = jsonobj.count;
			if(count != 0) {
				$(".jiaobiao" + orderState).html(count);
				$(".jiaobiao" + orderState).show();
			} else {
				$(".jiaobiao" + orderState).hide();
			}
			if(self != null) {
				self.endPullDownToRefresh();
			}
		},
		error: function(xhr, type, errorThrown) {
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("请求异常！");
			}
			if(self != null) {
				self.endPullDownToRefresh();
			}
		}
	});
}

function count(favType, memberId) {
	mui.ajax(Website + '/app/favorites/countFavByType.do', {
		data: {
			memberId: memberId,
			favType: favType
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			if(favType == "goods") {
				jQuery("#orderCount").html(jsonobj.count);
			} else {
				jQuery("#balance").html(jsonobj.count);
			}
		},
		error: function(xhr, type, errorThrown) {
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("请求异常！");
			}
		}
	});
}
var newDate = new Date();

function past(memberId) { //签到积分模块
	mui.ajax(Website + '/app/past/countBymemberId.do', {
		data: {
			memberId: memberId
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data) {
			var jsonobj = eval('(' + data + ')');
			var count = jsonobj.count;
			jQuery("#pastNum").html(count);
			//设置签到可增加的积分
			jQuery("#pointNum").html(jsonobj.conPoint +count);
			//jQuery("#pointNum").html(30 + count);
		},
		error: function(xhr, type, errorThrown) {
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("请求异常！");
			}
		}
	});
	mui.ajax(Website + '/app/past/selectMax.do', {
		data: {
			memberId: memberId
		},
		dataType: 'jsonp',
		type: 'post',
		success: function(data, status, xhr) {
			newDate = new Date(xhr.getResponseHeader("Date"));
			var jsonobj = eval('(' + data + ')');
			var past = jsonobj.past;
			if(past != null) {
				var d = new Date(past.date);
				if(past.date != null) {
					if(d.getFullYear() == newDate.getFullYear()) { //判断是否是今年
						if(d.getMonth() == newDate.getMonth()) { //判断是否是今月
							if(d.getDate() == newDate.getDate()) { //判断是否是今天
								jQuery("#pastButton").html("已签到");
								jQuery("#pastButton").css({"color":"red","border-color":"red"});
								jQuery("#pastButton").attr("disabled", "disabled");
								jQuery("#dateStr").html("明");
							} else {
								pastDate(d)
							}
						} else {
							pastDate(d)
						}
					} else {
						
						pastDate(d)
					}
					/*if(d.toDateString() === newDate.toDateString()) {
						//今天
						jQuery("#pastButton").html("已签到");
						jQuery("#pastButton").attr("disabled", "disabled");
						jQuery("#dateStr").html("明");
					} else if(d < newDate) {
						//以前
						jQuery("#pastButton").html("未签到");
						jQuery("#pastButton").removeAttr("disabled");
						jQuery("#dateStr").html("今");
					} else if(d > newDate) {
						mui.toast("时间错误")
					}*/
					//服务器时间走起
					var DateNum = setInterval(function() {
						var superNew = newDate;
						newDate = new Date(newDate.getTime() + 5000);
						if(superNew.toDateString() === newDate.toDateString()) {

						} else if(superNew < newDate) {
							//以前
							jQuery("#pastButton").html("未签到");
							jQuery("#pastButton").removeAttr("disabled");
							jQuery("#dateStr").html("今");
						} else if(d > newDate) {
							//时间显示错误
							clearInterval(DateNum);
						}
					}, 5000);
				} else {
					mui.toast("网络错误")
				}
			} else {
				//未签到过
				jQuery("#pastButton").html("未签到");
				jQuery("#pastButton").removeAttr("disabled");
				jQuery("#dateStr").html("今");
			}
		},
		error: function(xhr, type, errorThrown) {
			if("timeout" == type) {
				plus.ui.toast("请求超时！");
			} else {
				plus.ui.toast("请求异常！");
			}
		}
	});
}

function pastDate(d) {
	if(d < newDate) {
		jQuery("#pastButton").html("未签到");
		jQuery("#pastButton").removeAttr("disabled");
		jQuery("#dateStr").html("今");
	} else {
		mui.toast("时间错误");
	}
}

function order(memberId) { //订单模块
	document.getElementById("orderAll").addEventListener("tap", function() {
		localStorage.removeItem("orderState"); //0商品 1店铺
		mui.openWindow({
			url: 'allorder.html',
			id: 'allorder',
			extras: {
				buyerId: memberId
			},
			show: {
				autoShow: false //页面loaded事件发生后自动显示，默认为true
			},
			waiting: {
				autoShow: false //自动显示等待框，默认为true
			}
		})
	});
	jQuery(".order_buy").each(function() {
		this.addEventListener("tap", function() {
			localStorage.setItem("orderState", $(this).attr("data-state")); //0商品 1店铺
			mui.openWindow({
				url: 'allorder.html',
				id: 'allorder',
				extras: {
					buyerId: memberId
				},
				show: {
					autoShow: false //页面loaded事件发生后自动显示，默认为true
				},
				waiting: {
					autoShow: false //自动显示等待框，默认为true
				}
			})
		});
	});
}